if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -x /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
fi

( cd usr/lib64 ; rm -rf libmlt.so )
( cd usr/lib64 ; ln -sf libmlt.so.0.9.6 libmlt.so )
( cd usr/lib64 ; rm -rf libmlt.so.6 )
( cd usr/lib64 ; ln -sf libmlt.so.0.9.6 libmlt.so.6 )
( cd usr/lib64 ; rm -rf libmlt++.so )
( cd usr/lib64 ; ln -sf libmlt++.so.0.9.6 libmlt++.so )
( cd usr/lib64 ; rm -rf libmlt++.so.3 )
( cd usr/lib64 ; ln -sf libmlt++.so.0.9.6 libmlt++.so.3 )
